commit:     baec651ecb38580f8b39c79b16e4d6a13cdbe061
Author:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
AuthorDate: Wed May 18 13:48:56 2016 +0000
Commit:     Tobias Klausmann <klausman <AT> gentoo <DOT> org>
CommitDate: Wed May 18 13:50:02 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=baec651e

app-misc/tmux: Add 2.1-r1 and ship terminfo file.

By default, tmux does not ship its own terminfo file, piggybacking on
screen/screen-256color. Due to bugs in that terminfo file (around stand-out
and italics), the tmux FAQ[0] suggests making a derived terminfo file.

This new release ships that terminfo file (as tmux/tmux-256color). It will not
be used by default, the user has to activate it themselves.

Package-Manager: portage-2.3.0_rc1

 app-misc/tmux/files/tmux.terminfo.in |   6 ++
 app-misc/tmux/tmux-2.1-r1.ebuild     | 103 +++++++++++++++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/app-misc/tmux/files/tmux.terminfo.in 
b/app-misc/tmux/files/tmux.terminfo.in
new file mode 100644
index 0000000..d335c47
--- /dev/null
+++ b/app-misc/tmux/files/tmux.terminfo.in
@@ -0,0 +1,6 @@
+tmux|tmux terminal multiplexer,
+       ritm=\E[23m, rmso=\E[27m, sitm=\E[3m, smso=\E[7m, Ms@,
+       use=xterm+tmux, use=screen,
+
+tmux-256color|tmux with 256 colors,
+       use=xterm+256setaf, use=tmux,

diff --git a/app-misc/tmux/tmux-2.1-r1.ebuild b/app-misc/tmux/tmux-2.1-r1.ebuild
new file mode 100644
index 0000000..f448b3a
--- /dev/null
+++ b/app-misc/tmux/tmux-2.1-r1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils bash-completion-r1 flag-o-matic versionator
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="http://tmux.github.io/";
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="debug selinux vim-syntax kernel_FreeBSD kernel_linux"
+
+CDEPEND="
+       || (
+               =dev-libs/libevent-2.0*
+               >=dev-libs/libevent-2.1.5-r4
+       )
+       kernel_linux? ( sys-libs/libutempter )
+       kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 
sys-libs/libutempter ) )
+       sys-libs/ncurses:0="
+DEPEND="${CDEPEND}
+       virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+       selinux? ( sec-policy/selinux-screen )
+       vim-syntax? (
+               || (
+                       app-editors/vim
+                       app-editors/gvim
+               )
+       )"
+
+DOCS=( CHANGES FAQ README TODO )
+
+PATCHES=( "${FILESDIR}"/${PN}-2.0-flags.patch )
+
+src_prepare() {
+       # bug 438558
+       # 1.7 segfaults when entering copy mode if compiled with -Os
+       replace-flags -Os -O2
+
+       # regenerate aclocal.m4 to support earlier automake versions
+       rm aclocal.m4 || die
+
+       autotools-utils_src_prepare
+}
+
+src_configure() {
+       local myeconfargs=(
+               --sysconfdir="${EPREFIX}"/etc
+               $(use_enable debug)
+       )
+       autotools-utils_src_configure
+}
+
+src_install() {
+       autotools-utils_src_install
+
+       newbashcomp examples/bash_completion_tmux.sh ${PN}
+
+       docinto examples
+       dodoc examples/*.conf
+
+       if use vim-syntax; then
+               insinto /usr/share/vim/vimfiles/syntax
+               doins examples/tmux.vim
+
+               insinto /usr/share/vim/vimfiles/ftdetect
+               doins "${FILESDIR}"/tmux.vim
+       fi
+       # Make a tmux{,-256color} terminfo entry. It will not be used unless the
+       # user adds this to their .tmux.conf:
+       #
+       # set-option -g default-terminal "tmux-256color"
+       #
+       # Content of the terminfo entry is from here:
+       # https://github.com/ThomasAdam/tmux/blob/master/FAQ#L355
+       mkdir terminfo/ || die
+       tic -x "${FILESDIR}/tmux.terminfo.in" -o terminfo/ || die
+       insinto /usr/share/terminfo/t
+       doins terminfo/t/tmux
+       doins terminfo/t/tmux-256color
+}
+
+pkg_postinst() {
+       if ! version_is_at_least 1.9a ${REPLACING_VERSIONS:-1.9a}; then
+               echo
+               ewarn "Some configuration options changed in this release."
+               ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
+               ewarn
+               ewarn "WARNING: After updating to ${P} you will _not_ be able 
to connect to any"
+               ewarn "older, running tmux server instances. You'll have to use 
an existing client to"
+               ewarn "end your old sessions or kill the old server instances. 
Otherwise you'll have"
+               ewarn "to temporarily downgrade to access them."
+               echo
+       fi
+}

Reply via email to